# Uses of Interface
org.apache.cxf.resource.ResourceManager

Packages that use ResourceManager
Package
Description
org.apache.cxf.bus.extension
org.apache.cxf.bus.resource
org.apache.cxf.common.injection
org.apache.cxf.resource

- ## Uses of ResourceManager in org.apache.cxf.bus.extension

  Constructors in org.apache.cxf.bus.extension with parameters of type ResourceManager
  Modifier
  Constructor
  Description
  ``
  `ExtensionManagerImpl(ClassLoader cl, Map<Class<?>,Object> initialExtensions, ResourceManager rm, Bus b)`
  ``
  `ExtensionManagerImpl(String[] resources, ClassLoader cl, Map<Class<?>,Object> initialExtensions, ResourceManager rm, Bus b)`
  ``
  `ExtensionManagerImpl(String resource, ClassLoader cl, Map<Class<?>,Object> initialExtensions, ResourceManager rm, Bus b)`

- ## Uses of ResourceManager in org.apache.cxf.bus.resource

  Classes in org.apache.cxf.bus.resource that implement ResourceManager
  Modifier and Type
  Class
  Description
  `class`
  `ResourceManagerImpl`

- ## Uses of ResourceManager in org.apache.cxf.common.injection

  Constructors in org.apache.cxf.common.injection with parameters of type ResourceManager
  Modifier
  Constructor
  Description
  ``
  `ResourceInjector(ResourceManager resMgr)`
  ``
  `ResourceInjector(ResourceManager resMgr, List<ResourceResolver> resolvers)`

- ## Uses of ResourceManager in org.apache.cxf.resource

  Classes in org.apache.cxf.resource that implement ResourceManager
  Modifier and Type
  Class
  Description
  `class`
  `DefaultResourceManager`